Will this work in the first generation Mac Pro (2007) ?

ATI Radeon HD 5870 Graphics Upgrade Kit for Mac Pro (Mid 2010 or Early 2009)

ATI Radeon HD 5870 Graphics Upgrade Kit for Mac Pro (Mid 2010 or Early 2009)

Product No Longer Available

2 Answers from the Community

  • Best Answer:

    Yes, many people have gotten it to work with their MacPro 1,1. You will need 10.6.4 or higher though

  • Yes it will work fine - just need a snow leopard or higher..

    PS.I running one and it works fine with my 1.1 (Lion)